#ifndef GFXDEFS_H
#define GFXDEFS_H

#define IMG_KEYMASK			0x53
#define IMG_KEYBLIGHT		0x52
#define IMG_KEYBDARK		0x51

#define IMG_XRAYELEC		0x50
#define IMG_CURSOR			0x40

#define IMG_SCROLLER		0x39
#define IMG_SLIDER			0x38

#define IMG_ARROW_R			0x37
#define IMG_ARROW_L			0x36
#define IMG_ARROW_U			0x34
#define IMG_ARROW_D			0x35

#define IMG_TICKBOX_N		0x31
#define IMG_TICKBOX_Y		0x30

#define IMG_RADIO_N			0x32
#define IMG_RADIO_Y			0x33

#define IMG_FILE_WAITING	0x2c
#define IMG_FILE_FOLDER		0x2b
#define IMG_FILE_UPDIR		0x2a
#define IMG_FILE_UNKNOWN	0x29
#define IMG_FILE_MULTI		0x28

#define IMG_FILE_SNAP_L		0x27
#define IMG_FILE_SNAP_S		0x26
#define IMG_FILE_ROM_L		0x25
#define IMG_FILE_ROM_S		0x24
#define IMG_FILE_DISC_L		0x23
#define IMG_FILE_DISC_S		0x22
#define IMG_FILE_TAPE_L		0x21
#define IMG_FILE_TAPE_S		0x20

#define FONT_SIZE12			0x00
#define FONT_SIZE18			0x01
#define FONT_SIZE24			0x02
#define FONT_SIZE8			0x03

#endif
