#ifndef HARDWAREMENU_H
#define HARDWAREMENU_H

#include "guilocal.h"

class C_ULA;

class C_HardwareMenu : public C_GUIScreen
{
	public :
		bool Initialise(C_GUI *parent, int x1, int y1, int x2, int y2);

		void Enter(void);
		void Exit(void);

		void SendMsg(GUI_MSG msg);

	private :
		C_GUI *gui;
		C_ULA *elk;

		//speed selector
		C_GUISlider speed;
		C_GUIButton speedreset;

		//boxes and names - to divide the screen
		C_GUIOutlineBox boxes[5];
		C_GUITextBox names[5];

		//screen options
		C_GUITickBox screen[4];
		C_GUIRadioButton scale[3];
		int scaling;

		//speaker options
		C_GUITickBox buffering;
		C_GUISlider volume;

		//disc options
		C_GUIButton disceject[2];
		C_GUITickBox dwrprot[2];
		C_GUITextBox dstatus[2];

		//misc. options
		C_GUITickBox misc[2], jim;
		C_GUITextBox MRBTitle;
		C_GUIRadioButton mrb[3];
		int mrbmode;

		C_GUIButton reset;

		//tape options
		C_GUIButton tapeeject, taperewind;
		C_GUIRadioButton input[2];
		int imode;
		C_GUITickBox output[2];
		C_GUITickBox tspeed, tpipe;
};

#endif
