#ifndef INPUTMENU_H
#define INPUTMENU_H

#include "guilocal.h"

class C_ULA;
class C_input;
class C_GUIKeymaps;

class C_InputMenu : public C_GUIScreen
{
	public :
		bool Initialise(C_GUI *parent, int x1, int y1, int x2, int y2);

		void Enter(void);
		void Exit(void);

		void SendMsg(GUI_MSG msg);
		void Draw(void);

	private :
		C_GUI *gui;
		C_input *ipt;

		//keyboard options
		C_GUIImage delk, lelk, elkm;
		C_GUITextBox command;

		C_GUIButton allshifts, noshifts, clear;
		C_GUIButton menu, sbreak, quit;

		C_GUITextBox newfile;
		C_GUITextBox filename;
		C_GUITextInputLine fname;
		C_GUIButton save;
		char namestr[256];

		C_GUITextBox loadfile;
		C_GUIScrollField mapfield;
		GUI_BOX filearea;
		C_GUIKeymaps *maps;
		int nummaps;

		void ClearKeys(void);
		void AddKey(int id);
		void ReseedMaplist(void);
};

#endif
