#ifndef MAINMENU_H
#define MAINMENU_H

#include "guilocal.h"

class C_CardMenu : public C_GUIScreen
{
	public :
		bool Initialise(C_GUI *parent, int x1, int y1, int x2, int y2);
		void DeInitialise(void);

		void Enter(void);
		void Exit(void);

		void SendMsg(GUI_MSG msg);
		void Draw(void);

		bool SetAutoId(unsigned __int8 id);
		void EvaluatePreload(void);
		void PassROMHint(bool set, int id, char *name);

	private :
		void BringToFore(int c);

		C_GUI *gui;
		C_GUILine *lines;
		C_GUIButton *btns, qbutton;

		C_GUIElementBase *list;

		C_GUIScreen *baby;
};

#endif
