/*

	ElectrEm (c) 2000 Thomas Harte - an Acorn Electron Emulator

	This is open software, distributed under the GPL 2, see 'Copying' for
	details

	main.cpp
	========

	Just does the setup and go stuff. Notice that 'mainproc',
	'target_vars' and 'target_setup' are all defined in 'targets.h' (included
	by 'defines.h') to be exactly what you expect depending on the target

*/
#include "ula/ula.h"
#include <stdio.h>

#include "defines.h"
#include <malloc.h>
char **parlist;
int parcount;

target_vars();

mainproc()
{
	C_ULA electron;

	target_setup();

	if(!electron.Setup())
	{
		electron.CloseDown();
		Error(electron.GetError());
	}
	else
	{
		electron.Go();
		electron.CloseDown();
	}

	return 0;
}

END_OF_MAIN();
