#ifndef SCRCOMMON_H
#define SCRCOMMON_H

#include "screenloc.h"

class C_ScreenPelsCommon : public C_ScreenPels
{
	public :
		C_ScreenPelsCommon(void);

		void InitDisplay(BrokenWord VidAddr);
		void EndDisplay(void);

		virtual void DrawMultiLine(int line, int *mchanges, int mcount, int *pchanges, int pcount);

		void End(void);
		void SaveImage(char *name);
		C_bitmap *GetBitmap(void);

	protected :
		static unsigned __int16 MemMoves[32768];
		C_ScreenPalModifier *pal;
		C_screen *scr;
};

#define DoEndOfLine(a) \
	y++;\
	if(!(y&7))\
	{\
		a;\
		if(CTable->spaced)\
			blank = 2;\
	}\
	else\
		LinePtr ++;\
	\
	if(LinePtr&0x8000)\
		LinePtr -= (CTable->pitch << 8);

#define EndOfLine()	\
	DoEndOfLine(LinePtr += CTable->wide ? 633 : 313)


#define EndOfBlankLine() \
	if(!blank)\
	{\
		DoEndOfLine(LinePtr += CTable->wide ? 633 : 313);\
	}

#endif
