#define TRG_FILE_POSIX
#define TRG_GFX_SDL
#define TRG_SND_SDL
#define TRG_IPT_SDL
#define TRG_PARPORT_NULL
#define TRG_TMR_SDL

#ifdef GENERAL_DEFINES
extern bool SDL_quit;
#define check_quit(action) if(SDL_quit) action;
#endif

#ifdef MAIN_DEFINES

#include "SDL.h"
#include <stdio.h>
#include <stdlib.h>

#define mainproc() int main(int argc, char **argv)
#define target_setup() {\
	parlist = argv;\
	parcount = argc;\
	SDL_quit = false;\
	if(SDL_Init(SDL_INIT_TIMER | SDL_INIT_VIDEO | SDL_INIT_AUDIO | SDL_INIT_JOYSTICK | SDL_INIT_NOPARACHUTE) < 0)\
	{\
		fprintf(stderr, "SDL ERROR : %s\n", SDL_GetError());\
		exit(1);\
	}\
	atexit(SDL_Quit);\
}
#define target_vars() bool SDL_quit;
#define END_OF_MAIN() //nothing

#define Error(x) {fprintf(stderr, "Error : %s\n", x); exit(1);}

#endif

#if defined(GET_ENDIAN) && SDL_BYTEORDER==SDL_LIL_ENDIAN
#define ENDIAN_LITTLE
#endif

#if defined(GET_ENDIAN) && SDL_BYTEORDER==SDL_BIG_ENDIAN
#define ENDIAN_BIG
#endif
