
/* GLOBALS for DirectDraw graphics driver */
#ifdef TRG_GFX_GLOBALS

#define RECT_DEFINED
#define DIRECTDRAW_VERSION 0x0300

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <ddraw.h>
#define DDRAW_INIT_STRUCT(x) { memset(&x, 0, sizeof(x)); x.dwSize = sizeof(x);}
extern bool lbutton;

#endif

/* no extra public bitmap class members */

/* Private bitmap class members */
#ifdef TRG_GFX_BITMAP_PRMEMBERS

LPDIRECTDRAWSURFACE surface;
DDSURFACEDESC sdesc;
unsigned __int8 *base;

#endif

/* Public gfx_api class members */

#ifdef TRG_GFX_API_PUMEMBERS

bool gui_active;
void Restore(void);

#endif

/* Private gfx_api class members */

#ifdef TRG_GFX_API_PRMEMBERS

PALETTEENTRY pcols[256];
HWND hWnd;
char *className;

LPDIRECTDRAW lpdd;
LPDIRECTDRAWSURFACE front;
LPDIRECTDRAWPALETTE pal;
DDSURFACEDESC ddsd;

#endif
