/*

	ElectrEm (c) 2000/1 Thomas Harte - an Acorn Electron Emulator

	This is open software, distributed under the GPL 2, see 'Copying' for
	details.

	misc/NULL/parport.cpp
	=====================

	The NULL parallel port driver, used by such multiple OS targets as GGI and
	SDL

*/
#include "../../targets.h"

#ifdef TRG_PARPORT_NULL

#include "../input.h"

void C_input::ParportSetup(void)
{
}

bool C_input::ParportOpen(void)
{
	return false;
}

void C_input::ParportClose(void)
{
}

bool C_input::ParportFree(void)
{
	return true;
}

void C_input::ParportSend(unsigned __int8 v)
{
}

#endif
