#include "rbase.h"

unsigned __int8 *C_ScreenPelsCommonRegular::MemPtr;
ConvElement *C_ScreenPelsCommonRegular::Table;

bool C_ScreenPelsCommonRegular::SetMode(unsigned __int8 newmode, int line)
{
	if(ScrMode != newmode)
	{
		ScrMode = newmode;
		CTable = &ATables[newmode];
		Table = (ConvElement *)pal->SetMode(bpp | CTable->bpp);

		if(CTable->spaced && line >= 250)
			blank = 256 - line;
		else
			blank = 0;

		int c = 8;
		while(c--)
		{
			MemMoves[32760+c] = (c+32768) - (CTable->pitch << 8);
		}

		return true;
	}
	return false;
}

