/*

	ElectrEm (c) 2000/1 Thomas Harte - an Acorn Electron Emulator

	This is open software, distributed under the GPL 2, see 'Copying' for
	details.

	sound/NULL/soundcard.cpp
	========================

	NULL sound driver - doesn't do anything

*/
#include "../sounddevs.h"

#ifdef TRG_SND_NULL

void C_SoundCard::Setup(void)
{
	/* these variables should always be initialised to these values */

	InputRemaining = InputAllocated =
	OutputRemaining = OutputAllocated = 0;

	/* these two should be set according to what this platform can do */

	CanOutput = CanInput = false;
}

void C_SoundCard::Close(void)
{
	/*

	an opportunity to free resources. WARNING : may be called more than once

	*/
}

void C_SoundCard::Keepalive(int clock)
{
	/*

	at this stage new input or output should be checked for if necessary, and
	InputBuffer/InputRemaining or OutputBuffer/OutputRemaining set up as
	necessary

	*/
}

C_SoundCard::C_SoundCard(void)
{
	/* just the initialiser */
}

void C_SoundCard::Pause(int time)
{
	/* pause the sound input and output */
}

void C_SoundCard::Unpause(int time)
{
	/* unpause the sound input and output */
}
#endif
