/* Windows 32 / DirectX target */
#ifdef TARGET_WIN32
#include "targets/targ_win32.h"
#endif

/* DOS / Allegro target */
#ifdef TARGET_DOS
#include "targets/targ_dos.h"
#endif

/* UNIX SVGALib / Open Sound System target (Linux console) */
#ifdef TARGET_LCONSOLE
#include "targets/targ_lconsole.h"
#endif

/* UNIX [GGI] target */
#ifdef TARGET_GGI
#include "targets/targ_ggi.h"
#endif

/* SDL target */
#ifdef TARGET_SDL
#include "targets/targ_sdl.h"
#endif

/* custom target */
#ifdef TARGET_CUSTOM
#include "targets/targ_custom.h"
#endif

#include "targets/includes.h"
