#define TRG_FILE_POSIX
#define TRG_GFX_GGI
#define TRG_SND_OSS
#define TRG_IPT_GII
#define TRG_PARPORT_NULL
#define TRG_TMR_POSIX

#ifdef GENERAL_DEFINES
extern volatile bool sigquit;
#define check_quit(action) if(sigquit) action;
#endif

#ifdef GET_ENDIAN
#define ENDIAN_LITTLE
#endif

#ifdef MAIN_DEFINES

#include <ggi/ggi.h>
#include <stdlib.h>
#include <signal.h>

#define mainproc() int main(int argc, char **argv)
#define target_setup() {\
	parlist = argv;\
	parcount = argc;\
	sigquit = false;\
	signal(SIGTERM, quithandler);\
	signal(SIGKILL, quithandler);\
	signal(SIGINT, quithandler);\
	signal(SIGKILL, quithandler);\
}
#define target_vars() ggi_visual_t ggiVIS; volatile bool sigquit; void quithandler(int signal) {sigquit = true;}
#define END_OF_MAIN() //nothing

extern ggi_visual_t ggiVIS;
#define Error(x) {printf("ERROR : %s\n", x); exit(1);}

#endif
