#define TRG_FILE_POSIX
#define TRG_GFX_SVGALIB
#define TRG_SND_OSS
#define TRG_IPT_SVGALIB
#define TRG_PARPORT_UNIX
#define TRG_TMR_POSIX

#ifdef GENERAL_DEFINES
extern volatile bool sigquit;
#define check_quit(action) if(sigquit) action;
#endif

#ifdef MAIN_DEFINES

#include <signal.h>

#define mainproc() int main(int argc, char **argv)
#define target_setup() {\
	parlist = argv;\
	parcount = argc;\
	sigquit = false;\
	signal(SIGTERM, quithandler);\
	signal(SIGKILL, quithandler);\
	signal(SIGINT, quithandler);\
	signal(SIGKILL, quithandler);\
}
#define target_vars() volatile bool sigquit; void quithandler(int signal) {sigquit = true;}
#define Error(x) {printf("ERROR : %s\n", x); exit(1);}
#define END_OF_MAIN() //nothing

#endif

#ifdef GET_ENDIAN
#define ENDIAN_LITTLE
#endif
