#define TRG_FILE_WIN32
#define TRG_GFX_DDRAW
#define TRG_SND_DSOUND
#define TRG_IPT_DINPUT
#define TRG_PARPORT_WIN32
#define TRG_TMR_WIN32

#ifdef GENERAL_DEFINES

#define check_quit(action)	{MSG msg; bool result = false;\
\
		while (PeekMessage(&msg,NULL,0,0,PM_REMOVE))\
		{\
			if (msg.message == WM_QUIT)\
				action;\
\
			TranslateMessage(&msg);\
			DispatchMessage(&msg);\
		} result;}


#endif

#ifdef GET_ENDIAN
#define ENDIAN_LITTLE
#endif

#ifdef MAIN_DEFINES

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#define mainproc() WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd)

#define target_setup() {\
	winfo.hInstance = hInstance;\
	winfo.nShowCmd = nShowCmd;\
	winfo.hWnd = GetDesktopWindow();\
	parlist = (char **)malloc(sizeof(char *)*2);\
	atexit(win32freemem);\
	parlist[1] = lpCmdLine;\
	parcount = 2;\
}

#define END_OF_MAIN() //nothing

struct win_details
{
	HINSTANCE hInstance;
	HWND hWnd;
	int nShowCmd;
};

extern char aqueue[256];
extern int lastpos, qpos;

extern win_details winfo;
#define Error(x) {MessageBox(NULL, x, error_string, MB_OK | MB_ICONERROR | MB_SETFOREGROUND | MB_TASKMODAL); PostQuitMessage(0); return 1;}

#define target_vars() win_details winfo; void win32freemem(void) {free(parlist);}

#endif
